Name:		qastools
Version:	0.21.0
Release:	%mkrel 1
Summary:	A collection of desktop applications for ALSA
License:	GPLv3
Group:		Sound/Utilities
Url:		http://xwmw.org/qastools
Source0:	http://sourceforge.net/projects/qastools/files/%{version}/%{name}_%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	libalsa-devel
BuildRequires:	pkgconfig(libudev)
BuildRequires:	desktop-file-utils

Obsoletes:	qasmixer <= 0.15
Conflicts:	qasmixer

%description
QasTools is a collection of Qt-based mixer and setup tools for the
Linux sound system ALSA.

Features:
   * Desktop ALSA mixer applications
   * Desktop ALSA configuration browser


%prep
%setup -q -n %{name}_%{version}
%autopatch -p1

%build
%cmake_qt5

%make_build

%install
%make_install -C build

# make the .desktop file compliant with freedesktop specs
for i in qasconfig qashctl qasmixer;
do
desktop-file-validate %{buildroot}%{_datadir}/applications/$i.desktop
done

# it'll be %%doc'ed
rm -f %{buildroot}%{_datadir}/%{name}/COPYING

%files
%doc CHANGELOG COPYING README
%{_bindir}/qasconfig
%{_bindir}/qashctl
%{_bindir}/qasmixer
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_mandir}/man1/qasconfig.1.*
%{_mandir}/man1/qashctl.1.*
%{_mandir}/man1/qasmixer.1.*
%{_datadir}/%{name}/icons/*.svg
%{_datadir}/%{name}/widgets/sw_joined_*.svg
%{_datadir}/%{name}/l10n/%{name}_*.qm
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%dir %{_datadir}/%{name}/widgets
%dir %{_datadir}/%{name}/l10n


%changelog
* Sat May 28 2016 daviddavid <daviddavid> 0.21.0-1.mga6
+ Revision: 1019133
- new version: 0.21.0
- port to Qt5
- update description

* Tue Feb 09 2016 daviddavid <daviddavid> 0.18.1-1.mga6
+ Revision: 952799
- new version: 0.18.1
- remove merged upstream patches
- use %%cmake_qt4 macro
- fix owner of data dir

* Sun Oct 25 2015 daviddavid <daviddavid> 0.17.2-8.mga6
+ Revision: 895433
- remove empty lang files to fix build with latest rpm

* Sat Nov 22 2014 alexl <alexl> 0.17.2-7.mga5
+ Revision: 798333
- translated desktop file into Russian

* Wed Oct 15 2014 umeabot <umeabot> 0.17.2-6.mga5
+ Revision: 740033
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17.2-5.mga5
+ Revision: 688463
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.17.2-4.mga4
+ Revision: 517829
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.17.2-3.mga3
+ Revision: 379784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 barjac <barjac> 0.17.2-2.mga3
+ Revision: 335942
- changed group in line with new policy

* Sun Jun 03 2012 matteo <matteo> 0.17.2-1.mga3
+ Revision: 253767
- new version

* Tue Feb 07 2012 matteo <matteo> 0.17.1-1.mga2
+ Revision: 205668
- fixed warning about unversioned obsoletes
- imported package qastools

